[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.UnlockRegion

Unlock a region of the stream

## Declaration

Source position: classesh.inc line 1049

`public function TStreamAdapter.UnlockRegion(`
`libOffset: Largeint;`
`cb: Largeint;`
`dwLockType: LongInt`
`):HRESULT; virtual;`

## Description

UnLockRegion implements #rtl.types.IStream.UnLockRegion.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.UnLockRegion |  | Unlocks a previously locked region of bytes in the stream

Documentation generated on: Feb 26 2014